
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
// Copyright (C) 2010 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html



// Load several functions require for the test.
path = nisp_getpath();
testpath = fullfile(path,"tests","unit_tests","polychaos");
exec(fullfile(testpath,"createMyPolychaos.sci"));
exec(fullfile(testpath,"cleanupMyPolychaos.sci"));


function y = Exemple (x)
y(1) = x(1) * x(2);
endfunction

// Test polychaos_computeexp ( pc , srv2 , "Integration");
// TODO : test with regression
rv1 = randvar_new("Normale",1.0,0.5);
rv2 = randvar_new("Uniforme",1.0,2.5);
srv = setrandvar_new();
setrandvar_addrandvar ( srv,rv1);
setrandvar_addrandvar ( srv,rv2);
rvx1 = randvar_new("Normale");
rvx2 = randvar_new("Uniforme");
srv2 = setrandvar_new();
setrandvar_addrandvar ( srv2,rvx1);
setrandvar_addrandvar ( srv2,rvx2);
ny = 1;
pc = polychaos_new ( srv2 , ny );
degre = 2;
setrandvar_buildsample(srv2,"Quadrature",degre);
setrandvar_buildsample( srv , srv2 );
np = setrandvar_getsize(srv);
polychaos_setsizetarget(pc,np);
nx = polychaos_getdiminput(pc);
ny = polychaos_getdimoutput(pc);
for k=1:np
  inputdata = setrandvar_getsample(srv,k);
  outputdata = Exemple(inputdata);
  polychaos_settarget(pc,k,outputdata);
end
polychaos_setdegree(pc,degre);
polychaos_computeexp(pc,srv2,"Integration");
// TODO : what to assert ?
polychaos_destroy(pc);
setrandvar_destroy ( srv );
setrandvar_destroy ( srv2 );
randvar_destroy(rv1);
randvar_destroy(rv2);
randvar_destroy(rvx1);
randvar_destroy(rvx2);

// Test polychaos_computeexp ( token , pc , invalue , varopt ) 
// TODO : test this !
rv1 = randvar_new("Normale",1.0,0.5);
rv2 = randvar_new("Uniforme",1.0,2.5);
srvx = setrandvar_new();
setrandvar_addrandvar ( srvx,rv1);
setrandvar_addrandvar ( srvx,rv2);
rvx1 = randvar_new("Normale");
rvx2 = randvar_new("Uniforme");
srv2 = setrandvar_new();
setrandvar_addrandvar ( srv2,rvx1);
setrandvar_addrandvar ( srv2,rvx2);
ny = 1;
pc = polychaos_new ( srv2 , ny );
pc2 = polychaos_new ( srv2 , ny );
//polychaos_computeexp ( pc , pc2 , [4.0 5.0] , [1 0]);
// TODO : what to assert ?
polychaos_destroy(pc);
polychaos_destroy(pc2);
randvar_destroy(rv1);
randvar_destroy(rv2);
randvar_destroy(rvx1);
randvar_destroy(rvx2);

