
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
// Copyright (C) 2010 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


// Load several functions require for the test.
path = nisp_getpath();
testpath = fullfile(path,"tests","unit_tests","polychaos");
exec(fullfile(testpath,"createMyPolychaos.sci"));
exec(fullfile(testpath,"cleanupMyPolychaos.sci"));



// Test polychaos_getinvquantile ( pc , threshold , ovar )
nisp_initseed ( 0 );
[ pc , srvx , rvx1 , rvx2 , srvu , vu1 , vu2 ] = createMyPolychaos();
polychaos_computeexp(pc,srvx,"Integration");
order = 1;
np = 10000;
polychaos_buildsample ( pc , "QmcSobol" , np , order );
threshold = 0.9;
computed = polychaos_getinvquantile ( pc , threshold , 1 );
expected = 0.1938324;
assert_checkalmostequal ( computed , expected , 1.e-2 );
computed = polychaos_getinvquantile ( pc , threshold );
expected = 0.1938324;
assert_checkalmostequal ( computed , expected , 1.e-2 );
cleanupMyPolychaos ( pc , srvx , rvx1 , rvx2 , srvu , vu1 , vu2 );

