
// Copyright (C) 2008-2009 - INRIA - Michael Baudin
// Copyright (C) 2010 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html



// Load several functions require for the test.
path = nisp_getpath();
testpath = fullfile(path,"tests","unit_tests","polychaos");
exec(fullfile(testpath,"createMyPolychaos.sci"));
exec(fullfile(testpath,"cleanupMyPolychaos.sci"));



// Test polychaos_getquantile ( pc , alpha , ovar )
// Test polychaos_getquantile ( pc , alpha );
// For example: if X is uniform, if the model is Y=X then 
// the variance of the quantile is alpha*(1-alpha)/np

nisp_initseed ( 0 );
[ pc , srvx , rvx1 , rvx2 , srvu , vu1 , vu2 ] = createMyPolychaos();
polychaos_computeexp(pc,srvx,"Integration");
order = 1;
np = 10000;
polychaos_buildsample ( pc , "QmcSobol" , np , order );
alpha = 0.5;
computed = polychaos_getquantile ( pc , alpha , 1 );
expected = 1.6317171;
assert_checkalmostequal ( computed , expected , 1.e-1 );
computed = polychaos_getquantile ( pc , alpha );
expected = 1.6317171;
assert_checkalmostequal ( computed , expected , 1.e-1 );
cleanupMyPolychaos ( pc , srvx , rvx1 , rvx2 , srvu , vu1 , vu2 );

