// Copyright (C) 2010 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

// Create a Lhs design with 5 points in 2 dimensions.
grand("setsd",0);
n = 5;
s = 2;
computed = nisp_buildlhs ( s , n );
expected  = [
    0.3185689    0.6847310  
    0.7688531    0.3089766  
    0.5430379    0.5694503  
    0.9205527    0.1715891  
    0.1097627    0.9247127  
];
assert_checkalmostequal ( computed , expected , [], 1.e-7 );

// Create a Lhs design with 1000 points in 2 dimensions.
n = 100;
s =  2;
sampling = nisp_buildlhs ( s , n );
// Count the number of classes in each class: only one!
cuts = linspace ( 0 , 1 , n + 1 );
for k = 1 : s
  [ind, occ, info] = dsearch(sampling(:,k), cuts , "c" );
  assert_checkequal ( occ , ones(1,n));
  assert_checkequal ( info , 0);
end

// Create a Lhs design with 1000 points in 5 dimensions.
n = 100;
s =  5;
sampling = nisp_buildlhs ( s , n );
// Count the number of classes in each class: only one!
cuts = linspace ( 0 , 1 , n + 1 );
for k = 1 : s
  [ind, occ, info] = dsearch(sampling(:,k), cuts , "c" );
  assert_checkequal ( occ , ones(1,n));
  assert_checkequal ( info , 0);
end


