// Copyright (C) 2010 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

// "Introduction to probability and statistics for
// engineers and scientists."
// Sheldon Ross
// Chapter 2 Descriptive statistics
// Example 2.6a
x = [24.2;22.7;30.5;28.6;25.5;32;28.6;26.5;25.3;26;24.4;24.8;20.6;..
  25.1;21.4;23.7;23.9;25.2;27.4;28.3;28.8;26.6];
y = [25;31;36;33;19;24;27;25;16;14;22;23;20;25;25;23;27;30;33;32;35;24];
computed = nisp_corrcoef ( x , y );
assert_checkalmostequal ( computed , 0.4189 , 1.e-3 );

// http://en.wikipedia.org/wiki/Correlation_and_dependence
x = [0 10 101 102];
y = [1 100 500 2000];
computed = nisp_corrcoef ( x , y );
assert_checkalmostequal ( computed , 0.7544 , 1.e-4 );
//
x = [12 16 13 18 19 12 18 19 12 14];
y = [73 67 74 63 73 84 60 62 76 71];
computed = nisp_corrcoef ( x , y );
assert_checkalmostequal ( computed , -0.7638 , 1.e-3 );

