// Copyright (C) 2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html



//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

x = 2;
lambda = 3;
computed = nisp_expcdf ( x , lambda );
expected = 9.975212478233337e-1;
assert_checkalmostequal ( computed , expected , %eps );
//
// Check matrix arguments
x = [2 2 2];
lambda = [3 3 3];
computed = nisp_expcdf ( x , lambda );
expected = 9.975212478233337e-1*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check default lambda
x = [2 2 2];
computed = nisp_expcdf ( x );
expected = 8.646647167633872977D-01*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check argument expansion
x = [2 2 2];
lambda = 3;
computed = nisp_expcdf ( x , lambda );
expected = 9.975212478233337e-1*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );

