// Copyright (C) 2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html



//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

lambda=2;
p = 9.975212478233336233D-01;
computed = nisp_expinv ( p , lambda );
expected=3;
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check matrix arguments
p = 9.975212478233336233D-01 * ones(1,3);
lambda = [3 3 3];
computed = nisp_expinv ( p , lambda );
expected = 2*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check default lambda
p = 9.975212478233336233D-01 * ones(1,3);
computed = nisp_expinv ( p );
expected = 6*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check argument expansion
p = 9.975212478233336233D-01*ones(1,3);
lambda = 3;
computed = nisp_expinv ( p , lambda );
expected = 2*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );

