// Copyright (C) 2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

x = 2;
lambda = 3;
computed = nisp_exppdf ( x , lambda );
expected = 7.436256529999075e-3;
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check matrix arguments
x = [2 2 2];
lambda = [3 3 3];
computed = nisp_exppdf ( x , lambda );
expected = 7.436256529999075e-3*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check default lambda
x = [2 2 2];
computed = nisp_exppdf ( x );
expected = 1.353352832366127023D-01*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check argument expansion
x = [2 2 2];
lambda = 3;
computed = nisp_exppdf ( x , lambda );
expected = 7.436256529999075e-3*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );

