// Copyright (C) 2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html



//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

p = 2.820666053156566377D-01; // From Scilab itself
mu = 3;
sigma = 4;
computed = nisp_lognormalinv ( p , mu , sigma );
expected = 2;
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check matrix arguments
p = 2.820666053156566377D-01 * ones(1,3);
mu = [3 3 3];
sigma = [4 4 4];
computed = nisp_lognormalinv ( p , mu , sigma );
expected = 2*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check default sigma
p = 2.820666053156566377D-01*ones(1,3);
mu = [3 3 3];
computed = nisp_lognormalinv ( p , mu );
expected = 1.128288296186385686D+01*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check default mu
p = 2.820666053156566377D-01*ones(1,3);
computed = nisp_lognormalinv ( p );
expected = 5.617416654089230077D-01*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check argument expansion
p = 2.820666053156566377D-01*ones(1,3);
mu = 3;
sigma = 4;
computed = nisp_lognormalinv ( p , mu , sigma );
expected = 2*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );

