// Copyright (C) 2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

x = 2;
mu = 3;
sigma = 4;
computed = nisp_lognormalpdf ( x , mu , sigma );
expected = 4.222768901896055416D-02; // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check matrix arguments
x = [2 2 2];
mu = [3 3 3];
sigma = [4 4 4];
computed = nisp_lognormalpdf ( x , mu , sigma );
expected = 4.222768901896055416D-02*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check default sigma
x = [2 2 2];
mu = [3 3 3];
computed = nisp_lognormalpdf ( x , mu );
expected = 1.394170349688286445D-02*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check default mu
x = [2 2 2];
computed = nisp_lognormalpdf ( x );
expected = 1.568740192789811194D-01*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );
//
// Check argument expansion
x = [2 2 2];
mu = 3;
sigma = 4;
computed = nisp_lognormalpdf ( x , mu , sigma );
expected = 4.222768901896055416D-02*ones(1,3); // From Scilab itself
assert_checkalmostequal ( computed , expected , 10*%eps );

