
// Copyright (C) 2011 - INRIA - Michael Baudin
//
// This file must be used under the terms of the GNU Lesser General Public License license :
// http://www.gnu.org/copyleft/lesser.html


//
// <-- JVM NOT MANDATORY -->
// <-- ENGLISH IMPOSED -->

y = nisp_product ([1 2]);
assert_checkequal ( y , 2 );
//
mu1 = 1.5;
sigma1 = 0.5;
mu2 = 3.5;
sigma2 = 2.5;
np = 10000;
// Define a sampling for x1.
u = grand(np,1,"def");
x1 = cdfnor("X",mu1*ones(np,1),sigma1*ones(np,1),u,1-u);
// Define a sampling for x2.
u = grand(np,1,"def");
x2 = cdfnor("X",mu2*ones(np,1),sigma2*ones(np,1),u,1-u);
// Merge the two samplings
x = [x1 x2];
// Perform the experiments
y = nisp_product (x);
assert_checkalmostequal ( mean(y) , mu1*mu2 , 1.e-1 );

